curl --request GET \
--url https://tars.loopscale.com/v1/markets/earn/vaults/{address}import requests
url = "https://tars.loopscale.com/v1/markets/earn/vaults/{address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tars.loopscale.com/v1/markets/earn/vaults/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acceptedAssetMint": "<string>",
"address": "<string>",
"cancelEnabled": true,
"createdAt": "<string>",
"instantEnabled": true,
"managerAuthority": "<string>",
"metadataJson": {},
"parsedAccountJson": {},
"providerKind": 1,
"queueEnabled": true,
"requiresAcknowledgment": true,
"shareMint": "<string>",
"status": 1,
"lastUpdatedSlot": "<string>",
"lastUpdatedTs": "<string>",
"latestSnapshot": {
"navPerShareE18": "<string>",
"pendingWithdrawalsAssets": "<string>",
"shareSupply": "<string>",
"snapshotSlot": "<string>",
"snapshotTs": "<string>",
"totalAumAssets": "<string>",
"displayApyBps": 123,
"leverageX100": 1,
"realizedApyBps24h": 123,
"realizedApyBps30d": 123,
"realizedApyBps7d": 123,
"realizedReturnBps24h": 123,
"realizedReturnBps30d": 123,
"realizedReturnBps7d": 123,
"rewardsApyBps": 123,
"utilizationBps": 1
}
}{
"error": {
"code": 400,
"message": "Request could not be processed."
}
}{
"error": {
"code": 400,
"message": "Request could not be processed."
}
}Get Earn Vault
Returns one Earn vault and its latest snapshot by on-chain vault address. parsedAccountJson holds the decoded provider account, including token entries, strategy positions and withdrawal configuration.
Path Parameters
Earn vault address
Response
Earn vault with its latest snapshot
Earn vault account (DB projection of the on-chain/provider state).
accepted deposit asset mint
on-chain vault address
user cancellation supported
row creation timestamp
instant withdrawals supported
curator or manager authority
off-chain display/product metadata
Show child attributes
Show child attributes
cached ParsedEarnVault JSON
Show child attributes
Show child attributes
provider enum discriminant
x >= 0queued withdrawals supported
deposit flow acknowledgment required
provider share mint
vault status enum discriminant
x >= 0latest applied slot
latest applied timestamp
Show child attributes
Show child attributes